com.informix.json

## Class JSONSerializer

- java.lang.Object
- - com.informix.json.JSONSerializer

All Implemented Interfaces:
  ObjectSerializer

    public class JSONSerializer
    extends java.lang.Object
    implements ObjectSerializer

### Nested Class Summary

Nested Classes
`static class` `JSONSerializer.Builder`
`protected static class` `JSONSerializer.Configuration`

### Field Summary

Fields
`protected JSONSerializer.Configuration` `configuration`
`protected ClassMapBasedObjectSerializer` `serializer`

### Constructor Summary

Constructors
`protected` `JSONSerializer(ClassMapBasedObjectSerializer serializer, JSONSerializer.Configuration configuration)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main(java.lang.String[] args)`
`java.lang.String` `serialize(java.lang.Object obj)` Serializes `obj`.
`void` `serialize(java.lang.Object obj, java.lang.StringBuilder buf)` Serializes `obj` into `buf`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    protected final ClassMapBasedObjectSerializer serializer

#### configuration

    protected final JSONSerializer.Configuration configuration

### Constructor Detail

#### JSONSerializer

    protected JSONSerializer(ClassMapBasedObjectSerializer serializer,
                             JSONSerializer.Configuration configuration)

### Method Detail

#### main

    public static void main(java.lang.String[] args)

#### serialize

    public void serialize(java.lang.Object obj,
                          java.lang.StringBuilder buf)

Description copied from interface: `ObjectSerializer`
Serializes `obj` into `buf`.

Specified by:
  `serialize` in interface `ObjectSerializer`
Parameters:
  `obj` - object to serialize
  `buf` - buffer to serialize into

#### serialize

    public java.lang.String serialize(java.lang.Object obj)

Description copied from interface: `ObjectSerializer`
Serializes `obj`.

Specified by:
  `serialize` in interface `ObjectSerializer`
Parameters:
  `obj` - object to serialize
Returns:
  the serialized object